## pcc-libs 1.2.0~DEVEL+20200614

=== csu/netbsd/Makefile ===
MACH ?=	i386
TARGET ?= $(MACH)-netbsd
VERSION ?= 1.1.0
PCCLIBDIR ?= /usr/local/lib/pcc/$(TARGET)/$(VERSION)/lib
SRCDIR ?= .

CFLAGS = -I$(SRCDIR)/$(MACH) -I$(SRCDIR) -Wall -Wstrict-prototypes -Wmissing-prototypes

OBJS = crtbegin.o crtend.o

all:	$(OBJS)

crtbegin.o: crtbegin.c
	$(CC) -O $(CFLAGS) -c -o $@ $<

crtend.o: crtend.c
	$(CC) -O $(CFLAGS) -c -o $@ $<

install:
	mkdir -p $(DESTDIR)$(PCCLIBDIR)
	cp $(OBJS) $(DESTDIR)$(PCCLIBDIR)

clean:
	rm -f $(OBJS)

## pcc-libs 1.2.0~DEVEL+20180604

=== debian/changelog ===
pcc-libs (1.2.0~DEVEL+20180604-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/control: Build-depend on gcc-multilib instead.
  * Reupload with non-sourceful upload to bootstrap on different
    architectures.

 -- Boyuan Yang <byang@debian.org>  Wed, 09 Jan 2019 14:44:34 -0500

pcc-libs (1.2.0~DEVEL+20180604-2) unstable; urgency=medium

  * Upload to unstable
  * Remove unsupported arthictures (Closes: #915633)
  * Add Vcs fields
  * Bump Standards-Version to 4.3.0
  * Bump debhelper compat to 12

 -- Yangfl <mmyangfl@gmail.com>  Mon, 07 Jan 2019 23:09:00 +0800

pcc-libs (1.2.0~DEVEL+20180604-1) experimental; urgency=medium

  * Initial release (Closes: #900768)

 -- Yangfl <mmyangfl@gmail.com>  Mon, 04 Jun 2018 23:24:39 +0800

=== debian/control ===
Source: pcc-libs
Priority: optional
Maintainer: Yangfl <mmyangfl@gmail.com>
Build-Depends:
 debhelper (>= 12~),
 gcc-multilib,
 pcc,
Standards-Version: 4.3.0
Section: libs
Homepage: http://pcc.ludd.ltu.se/
Vcs-Git: https://salsa.debian.org/yangfl-guest/pcc-libs.git
Vcs-Browser: https://salsa.debian.org/yangfl-guest/pcc-libs

Package: libpcc-dev
Section: libdevel
Architecture: amd64 i386
Multi-Arch: same
Depends: ${misc:Depends}
Description: Portable C Compiler (development files)
 PCC is a small, simple, fast and understandable C99 compiler based on the
 original Portable C Compiler by S. C. Johnson, written in the late 1970s.
 Focus on being able to compile and run on a PDP11, even if it may not happen
 in reality, keeps it lean; abstinence from over-complicated algorithms leads
 to quick reliable code generation. Even though much of the compiler has been
 rewritten, some of the basics still remain.
 .
 This package contains the headers and static library files necessary for
 building C programs.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@

override_dh_auto_configure:
	CC=pcc dh_auto_configure -- --libdir=\$${prefix}/lib target_alias=${DEB_TARGET_MULTIARCH}

## pcc-libs 1.2.0~DEVEL+20200614

=== debian/changelog ===
pcc-libs (1.2.0~DEVEL+20200614-1) unstable; urgency=medium

  * New upstream release
  * Fix FTBFS (Closes: #966975)
  * Bump Standards-Version to 4.5.0
  * Bump debhelper compat to 13
  * Add upstream metadata

 -- Yangfl <mmyangfl@gmail.com>  Mon, 24 Aug 2020 08:58:32 +0800

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Priority: optional
 Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends:
- debhelper (>= 12~),
- gcc-multilib,
+ debhelper-compat (= 13),
  pcc,
-Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Section: libs
 Homepage: http://pcc.ludd.ltu.se/
 Vcs-Git: https://salsa.debian.org/yangfl-guest/pcc-libs.git

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND =
 
 
 %:

=== debian/watch ===
version=4
opts=uversionmangle=s/(.*)/1.2.0~DEVEL+$1/,filenamemangle=s/([\d\.]+)\.tgz/1.2.0~DEVEL+$1.tar.gz/ \
http://pcc.ludd.ltu.se/ftp/pub/pcc-libs/ \
  pcc-libs-([\d\.]+)\.tgz debian uupdate

## pcc-libs 1.2.0~DEVEL+20211015

=== libF77/Makefile ===
# compile, then strip unnecessary symbols

CFLAGS=-Wall -Werror -Wstrict-prototypes -Wmissing-prototypes

.c.o :
	cc -O $(CFLAGS) -c $<
	-ld -r -x $*.o
	mv a.out $*.o

MISC =	main.o s_rnge.o abort_.o getarg_.o iargc_.o signal_.o s_stop.o s_paus.o
POW =	pow_ci.o pow_dd.o pow_di.o pow_hh.o pow_ii.o  pow_ri.o pow_zi.o pow_zz.o
CX =	c_abs.o c_cos.o c_div.o c_exp.o c_log.o c_sin.o c_sqrt.o
DCX =	z_abs.o z_cos.o z_div.o z_exp.o z_log.o z_sin.o z_sqrt.o
REAL =	r_abs.o r_acos.o r_asin.o r_atan.o r_atn2.o r_cnjg.o r_cos.o\
	r_cosh.o r_dim.o r_exp.o r_imag.o r_int.o\
	r_lg10.o r_log.o r_mod.o r_nint.o r_sign.o\
	r_sin.o r_sinh.o r_sqrt.o r_tan.o r_tanh.o
DBL =	d_abs.o d_acos.o d_asin.o d_atan.o d_atn2.o\
	d_cnjg.o d_cos.o d_cosh.o d_dim.o d_exp.o\
	d_imag.o d_int.o d_lg10.o d_log.o d_mod.o\
	d_nint.o d_prod.o d_sign.o d_sin.o d_sinh.o\
	d_sqrt.o d_tan.o d_tanh.o 
INT =	i_abs.o i_dim.o i_dnnt.o i_indx.o i_len.o i_mod.o i_nint.o i_sign.o
HALF =	h_abs.o h_dim.o h_dnnt.o h_indx.o h_len.o h_mod.o  h_nint.o h_sign.o
CMP =	l_ge.o l_gt.o l_le.o l_lt.o hl_ge.o hl_gt.o hl_le.o hl_lt.o
CHAR =	s_cat.o s_cmp.o s_copy.o 

libF77.a : $(MISC) $(POW) $(CX) $(DCX) $(REAL) $(DBL) $(INT) $(HALF) $(CMP) $(CHAR) cabs.o
	ar r libF77.a $?

clean distclean:
	rm -f $(MISC) $(POW) $(CX) $(DCX) $(REAL) $(DBL) $(INT) $(HALF) \
		$(CMP) $(CHAR) cabs.o libF77.a

=== libI77/Makefile ===
#
# Simple makefile for the F77 I/O library.
#

CFLAGS=-Wall -Werror -Wstrict-prototypes -Wmissing-prototypes

.c.o :
	cc -O $(CFLAGS) -c $<
	-ld -r -x $*.o
	mv a.out $*.o

OBJS= backspace.o dfe.o due.o iio.o inquire.o lib.o rewind.o rsfe.o rdfmt.o \
	sue.o uio.o wsfe.o sfe.o fmt.o lio.o lread.o open.o close.o \
	util.o endfile.o wrtfmt.o err.o fmtlib.o

libI77.a: $(OBJS)
	ar r libI77.a $?

clean distclean:
	/bin/rm -f $(OBJS) libI77.a

=== csu/darwin/Makefile ===
MACH ?= powerpc
TARGET ?= $(MACH)-darwin
VERSION ?= 1.1.0
PCCLIBDIR ?= /usr/local/lib/pcc/$(TARGET)/$(VERSION)/lib
SRCDIR ?= .

CFLAGS = -I$(SRCDIR)$(MACH) -I$(SRCDIR) -Wall -Werror -Wstrict-prototypes -Wmissing-prototypes

OBJS = crt0.o crt1.o gcrt1.o dylib1.o

all:	$(OBJS)

crt0.o:	$(MACH)/crt0.c
	$(CC) -r -static -nostdlib -Wl,-keep_private_externs -Wl,-weak_reference_mismatches,non-weak -DCRT -O $(CFLAGS) -o $@ $<

crt1.o:	$(MACH)/crt0.c
	$(CC) -r -nostdlib -Wl,-keep_private_externs -Wl,-weak_reference_mismatches,non-weak -DCRT -DDYNAMIC -O $(CFLAGS) -o $@ $< /usr/lib/dyld

gcrt1.o: $(MACH)/crt0.c
	$(CC) -r -nostdlib -Wl,-keep_private_externs -Wl,-weak_reference_mismatches,non-weak -DCRT -DDYNAMIC -DPROFILE -O $(CFLAGS) -o $@ $< /usr/lib/dyld

dylib1.o: $(MACH)/dylib1.c
	$(CC) -r -nostdlib -Wl,-keep_private_externs -Wl,-weak_reference_mismatches,non-weak -DDYNAMIC -O $(CFLAGS) -o $@ $< 

install:
	mkdir -p ${DESTDIR}$(PCCLIBDIR)
	cp $(OBJS) ${DESTDIR}$(PCCLIBDIR)

clean:
	rm -f $(OBJS)

=== csu/linux/Makefile ===
MACH ?=	i386
TARGET ?= $(MACH)-linux
VERSION ?= 1.1.0
PCCLIBDIR ?= /usr/local/lib/pcc/$(TARGET)/$(VERSION)/lib
SRCDIR ?= .

CFLAGS = -I$(SRCDIR)/$(MACH) -I$(SRCDIR) -Wall -Wstrict-prototypes -Wmissing-prototypes

#OBJS = crt0.o crt1.o gcrt1.o crti.o crtn.o crtbegin.o crtend.o \
#	crtbeginS.o crtendS.o crtbeginT.o crtendT.o
OBJS = crtbegin.o crtend.o crtbeginS.o crtendS.o crtbeginT.o crtendT.o


all:	$(OBJS)

crt0.o:	$(MACH)/crt0.c
	$(CC) -O2 $(CFLAGS) -c -o $@ $<

crt1.o:	$(MACH)/crt0.c
	$(CC) -O2 $(CFLAGS) -c -o $@ $<

gcrt1.o: $(MACH)/crt0.c
	$(CC) -O2 -DPROFILE $(CFLAGS) -c -o $@ $<

crti.o: $(MACH)/crti.c
	$(CC) -O2 $(CFLAGS) -c -o $@ $<

crtn.o: $(MACH)/crtn.c
	$(CC) -O2 $(CFLAGS) -c -o $@ $<

crtbegin.o: crtbegin.c
	$(CC) -O2 $(CFLAGS) -c -o $@ $<

crtend.o: crtend.c
	$(CC) -O2 $(CFLAGS) -c -o $@ $<

crtbeginS.o: crtbegin.c
	$(CC) -O2 $(CFLAGS) -fpic -c -o $@ $<

crtendS.o: crtend.c
	$(CC) -O2 $(CFLAGS) -fpic -c -o $@ $<

crtbeginT.o: crtbegin.c
	$(CC) -O2 $(CFLAGS) -c -o $@ $<

crtendT.o: crtend.c
	$(CC) -O2 $(CFLAGS) -c -o $@ $<

install:
	mkdir -p ${DESTDIR}$(PCCLIBDIR)
	cp $(OBJS) ${DESTDIR}$(PCCLIBDIR)

clean:
	rm -f $(OBJS)

=== debian/changelog ===
pcc-libs (1.2.0~DEVEL+20211015-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.1

 -- Yangfl <mmyangfl@gmail.com>  Sun, 04 Sep 2022 10:51:18 +0800

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
  debhelper-compat (= 13),
  pcc,
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.1
 Section: libs
 Homepage: http://pcc.ludd.ltu.se/
 Vcs-Git: https://salsa.debian.org/yangfl-guest/pcc-libs.git
